OpenVDB 3.2.0

Public Types | Static Public Member Functions | List of all members
GridOrTreeConstructor< Grid< TreeType > > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
typedef Grid< TreeType > | GridType
typedef Grid< TreeType >::Ptr | GridTypePtr
typedef TreeType::Ptr | TreeTypePtr
typedef TreeType::template ValueConverter< bool >::Type | BoolTreeType
typedef BoolTreeType::Ptr | BoolTreePtrType
typedef Grid< BoolTreeType > | BoolGridType
typedef BoolGridType::Ptr | BoolGridPtrType

## Static Public Member Functions
static BoolGridPtrType | constructMask (const GridType &grid, BoolTreePtrType &maskTree)
static GridTypePtr | construct (const GridType &grid, TreeTypePtr &maskTree)

## Member Typedef Documentation

## ◆ BoolGridPtrType

typedef BoolGridType::Ptr BoolGridPtrType

## ◆ BoolGridType

typedef Grid<BoolTreeType> BoolGridType

## ◆ BoolTreePtrType

typedef BoolTreeType::Ptr BoolTreePtrType

## ◆ BoolTreeType

typedef TreeType::template ValueConverter<bool>::Type BoolTreeType

## ◆ GridType

typedef Grid<TreeType> GridType

## ◆ GridTypePtr

typedef Grid<TreeType>::Ptr GridTypePtr

## ◆ TreeTypePtr

typedef TreeType::Ptr TreeTypePtr

## Member Function Documentation

## ◆ construct()

static GridTypePtr construct | ( | const GridType & | grid,
|  | TreeTypePtr & | maskTree
| ) |  |
| inline static

## ◆ constructMask()

static BoolGridPtrType constructMask | ( | const GridType & | grid,
|  | BoolTreePtrType & | maskTree
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- LevelSetUtil.h